petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCHPDDMCoarseCorrectionType

Type of coarse correction used by PCHPDDM

### Synopsis

    typedef enum { PC_HPDDM_COARSE_CORRECTION_DEFLATED, PC_HPDDM_COARSE_CORRECTION_ADDITIVE, PC_HPDDM_COARSE_CORRECTION_BALANCED } PCHPDDMCoarseCorrectionType;

### Values

| PC_HPDDM_COARSE_CORRECTION_DEFLATED (default) | - eq. (1) in PCHPDDMShellApply()
| PC_HPDDM_COARSE_CORRECTION_ADDITIVE | - eq. (2)
| PC_HPDDM_COARSE_CORRECTION_BALANCED | - eq. (3)

### See Also

PCHPDDM, PCSetType(), PCHPDDMShellApply()

### Level

intermediate

### Location

src/ksp/pc/../../../include/petscpctypes.h
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages